<?php 
include "includes/conexao.php";


if(isset($_GET['id']) && !empty($_GET['id'])){
	
	
	$id_rec = $_GET['id'];
	
	$buscaConta = mysqli_query("SELECT * FROM creditos WHERE id='$id_rec'");
	$contalocal = mysqli_fetch_assoc($buscaConta);
	
	$contaAnterior = $contalocal['conta'];
	


if(isset($_POST['submit'])){
	
	
	$cliente = $_POST['cliente'];
	$valor = $_POST['valor'];
	$tipo = $_POST['tipo'];
	$prestacoes = $_POST['prestacoes'];
	$taxas = $_POST['taxas'];
	$previsao = $_POST['previsao'];
	$garantias = $_POST['garantias'];
	$estimado = $_POST['estimado'];
	

		      $juros = $valor * $taxas * $prestacoes;
			$total = $valor + $juros;
					$v_prest = $total / $prestacoes;

		
		$busca_gestor = "SELECT * FROM clientes WHERE nome_cliente='$cliente'";
		$sucesso = mysqli_query($con,$busca_gestor);
		$trato = mysqli_fetch_assoc($sucesso);
		
		$vendedor = $trato['vendedor'];
		
		
		
		$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
	
      if($previsao < $data){
          
          $_SESSION['status'] = "A data prevista e inferior a data actual";
		  $_SESSION['status_code'] = "warning";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
	}else{
		$query = mysqli_query($con,"INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,previsao,status,data,hora,user,conta,garantias,estimado)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros','$total','$vendedor','$previsao','pendente','$data','$hora','$user','$contaAnterior','$garantias','$estimado'");
	
		$tiraAntes = mysqli_query($con,"UPDATE creditos SET status='recapitalizado' WHERE id='$id_rec'");
		$pagamentos = mysqli_query($con,"UPDATE pagamentos SET status ='finalizado' WHERE id_pagamento='$id_rec'");
		
		
		
		if($query){
	
			 $_SESSION['status'] = "Credito recapitalizado";
		     $_SESSION['status_code'] = "success";
		     echo "<script>window.open('creditos.php','_self')</script>";
			
			
		}else{
			
			 $_SESSION['status'] = "Falha ao recapitalizar";
		  $_SESSION['status_code'] = "warning";
		echo "<script>window.open('creditos.php','_self')</script>";
		}
		
	 }
	


}	


}




?>